Package org.h2.bnf

# Class Sentence

java.lang.Object
org.h2.bnf.Sentence

public class Sentence extends Object
A query context object. It contains the list of table and alias objects. Used for autocomplete.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONTEXT`
This token type means the possible choices of the item depend on the context.
`static final int`
`FUNCTION`
The token type for a function name.
`static final int`
`KEYWORD`
The token type for a keyword.

## Constructor Summary

Constructors
Constructor
Description
`Sentence()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(String n, String string, int type)`
Add a word to the set of next tokens.
`void`
`addAlias(String alias, DbTableOrView table)`
Add an alias name and object
`void`
`addTable(DbTableOrView table)`
Add a table.
`HashMap<String,DbTableOrView>`
`getAliases()`
Get the alias map.
`DbSchema`
`getLastMatchedSchema()`
Get the last matched schema if the last match was a schema.
`DbTableOrView`
`getLastMatchedTable()`
Get the last matched table if the last match was a table.
`DbTableOrView`
`getLastTable()`
Get the last added table.
`HashMap<String,String>`
`getNext()`
Get the map of next tokens.
`String`
`getQuery()`
Get the query string.
`String`
`getQueryUpper()`
Get the uppercase version of the query string.
`HashSet<DbTableOrView>`
`getTables()`
Get the set of tables.
`void`
`setLastMatchedSchema(DbSchema schema)`
Set the last matched schema if the last match was a schema, or null if it was not.
`void`
`setLastMatchedTable(DbTableOrView table)`
Set the last matched table if the last match was a table.
`void`
`setQuery(String query)`
Set the query string.
`void`
`start()`
Start the timer to make sure processing doesn't take too long.
`void`
`stopIfRequired()`
Check if it's time to stop processing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONTEXT

public static final int CONTEXT
This token type means the possible choices of the item depend on the context. For example the item represents a table name of the current database.

See Also:
  - Constant Field Values

### KEYWORD

public static final int KEYWORD
The token type for a keyword.

See Also:
  - Constant Field Values

### FUNCTION

public static final int FUNCTION
The token type for a function name.

See Also:
  - Constant Field Values

## Constructor Details

### Sentence

public Sentence()

## Method Details

### start

public void start()
Start the timer to make sure processing doesn't take too long.

### stopIfRequired

public void stopIfRequired()
Check if it's time to stop processing. Processing auto-complete shouldn't take more than a few milliseconds. If processing is stopped, this methods throws an IllegalStateException

### add

public void add(String n, String string, int type)
Add a word to the set of next tokens.

Parameters:
  `n` - the token name
  `string` - an example text
  `type` - the token type

### addAlias

public void addAlias(String alias, DbTableOrView table)
Add an alias name and object

Parameters:
  `alias` - the alias name
  `table` - the alias table

### addTable

public void addTable(DbTableOrView table)
Add a table.

Parameters:
  `table` - the table

### getTables

public HashSet<DbTableOrView> getTables()
Get the set of tables.

Returns:
  the set of tables

### getAliases

public HashMap<String,DbTableOrView> getAliases()
Get the alias map.

Returns:
  the alias map

### getLastTable

public DbTableOrView getLastTable()
Get the last added table.

Returns:
  the last table

### getLastMatchedSchema

public DbSchema getLastMatchedSchema()
Get the last matched schema if the last match was a schema.

Returns:
  the last schema or null

### setLastMatchedSchema

public void setLastMatchedSchema(DbSchema schema)
Set the last matched schema if the last match was a schema, or null if it was not.

Parameters:
  `schema` - the last matched schema or null

### setLastMatchedTable

public void setLastMatchedTable(DbTableOrView table)
Set the last matched table if the last match was a table.

Parameters:
  `table` - the last matched table or null

### getLastMatchedTable

public DbTableOrView getLastMatchedTable()
Get the last matched table if the last match was a table.

Returns:
  the last table or null

### setQuery

public void setQuery(String query)
Set the query string.

Parameters:
  `query` - the query string

### getQuery

public String getQuery()
Get the query string.

Returns:
  the query

### getQueryUpper

public String getQueryUpper()
Get the uppercase version of the query string.

Returns:
  the uppercase query

### getNext

public HashMap<String,String> getNext()
Get the map of next tokens.

Returns:
  the next token map